#include <iostream>
using namespace std;

int main()
{

int n, k;
cin>> n>> k;
int pogodak[n];
for(i=0; i<n; i++)
{
    cin>>pogodak[i];
}

int brojac = 0;
for(i=0; i<n; i++)
{
    for(j=0;j<n;j++)
    {
     if(pogodak[i]==pogodak[j])
     {
      
      brojac= brojac + 1;
      pogodak[j]=n;
     }
    }
    brojac= brojac-1;
    if(brojac>(k-1))
    {
        if(pogodak[i]<n)
        {
            cout<< pogodak[i]<<""; 
        }
    }
}

}